-- 
-- Please see the license.html file included with this distribution for 
-- attribution and copyright information.
--

function onInit()
  if lockable_fiels then
    for _,i in ipairs(lockable_field) do
      self[i].setVisible(string.len(self[i].getValue()) > 0);
    end
  end
  update();
end

function update()
  local bReadOnly = WindowManager.getReadOnlyState(getDatabaseNode());
  
  name.setReadOnly(bReadOnly);
  if lockable_fields then
    for _,i in ipairs(lockable_field) do
      self[i].setReadOnly(bReadOnly);
    end
  end
  if activate then
    if bReadOnly then
      activate.setValue(0);
    end
    activate.setVisible(not bReadOnly);
  end
end
