-- 
-- Please see the license.html file included with this distribution for 
-- attribution and copyright information.
--

function onListChanged()
  update();
end

function update()
  local sEdit = getName() .. "_iedit";
  if window[sEdit] then
    local bEdit = (window[sEdit].getValue() == 1);
    for _,wCategory in ipairs(getWindows()) do
      wCategory.idelete.setVisibility(bEdit);
      wCategory.traits_iadd.setVisible(bEdit);
      wCategory.traits.update(bEdit);
      wCategory.activatetraits.setValue(window[sEdit].getValue());
      wCategory.activatetraits.setVisible(not bEdit);
    end
  end
end

function addEntry(bFocus)
  local w = createWindow();
  if bFocus then
    -- w.header.subwindow.label.setFocus();
  end
  return w;
end

