-- 
-- Please see the license.html file included with this distribution for 
-- attribution and copyright information.
--

function onInit()
  onLockChanged();
  DB.addHandler(DB.getPath(getDatabaseNode(), "locked"), "onUpdate", onLockChanged);
end

function onClose()
  DB.removeHandler(DB.getPath(getDatabaseNode(), "locked"), "onUpdate", onLockChanged);
end

function onLockChanged()
  if header.subwindow and header.subwindow.update then
    header.subwindow.update();
  end
  
  local bReadOnly = WindowManager.getReadOnlyState(getDatabaseNode());
  text.setReadOnly(bReadOnly);
end

