-- 
-- Please see the license.html file included with this distribution for 
-- attribution and copyright information.
--

function onInit()
  update();
end       

function setRanged()
  reach.setValue(0);
  reach_label.setVisible(false);
  reach.setVisible(false);
  might_label.setVisible(true);
  might.setVisible(true);
  defence_sr.setValue(0);
  defence_sr.setEnabled(false);
  --range.setVisible(true);
  --range_label.setVisible(true);
end       

function setMelee()
  reach_label.setVisible(true);
  reach.setVisible(true);
  might_label.setVisible(false);
  might.setVisible(false);
  defence_sr.setEnabled(true);
  --range.setVisible(false);
  --range_label.setVisible(false);
end       

function setRangeMetric()
  range_metric.setValue(GameSystem.getRangeNumberFromLevel(range.getStringValue()));
end

function setRange()
  range.setStringValue(GameSystem.getRangeLevelFromNumber(range_metric.getValue()));
end

function setCost()
end

function update()
  local sType = type.getValue();
  
  if super and super.update then
    super.update();
  end
  
  if not GameSystem.mustBeReadied(getDatabaseNode()) then
    equipped.setValue(1);
    equipped.setEnabled(false);
  else
    equipped.setEnabled(true);
  end
  
  if GameSystem.isRanged(sType) then
    setRanged();
  else
    setMelee();
  end
end
