-- 
-- Please see the license.html file included with this distribution for 
-- attribution and copyright information.
--

local actor;

function onInit()
  local parent = window;
  
  if not parent then
    parent = windowlist.window; 
  end
  actor = parent.getDatabaseNode();
  if actor and actor.getChild("..").getPath() == "combattracker.list" 
      and parent.link then
      actor = parent.link.getTargetDatabaseNode();
  end
end

function getActor()
  return actor;
end    

function equip(weapon)
  for _,item in ipairs(windowlist.getWindows()) do
    if item ~= weapon then
      item.equipped.setValue(0);
    end
  end
  -- windowlist.window.equipped = weapon;
end
