-- 
-- Please see the license.html file included with this distribution for 
-- attribution and copyright information.
--

function onInit()
    local node = window.getDatabaseNode();
    
    setVisible(node and not node.isReadOnly());
end

function onValueChanged()
  setVisibility();
end

function setVisibility()
  local expanded = getValue() ~= 0;
  
  if(collapse) then
    window[collapse[1]].setVisible(not expanded);
  end
  if(expand) then
    window[expand[1]].setVisible(expanded);
    if type(window[expand[1]]) == "windowlist" and window[expand[1]].getWindowCount()== 0 then
      window[expand[1]].addEntry(true);
    end
  end
end

