-- 
-- Please see the license.html file included with this distribution for 
-- attribution and copyright information.
--

local nLevel;

function onInit()
  setLevel(window.getDatabaseNode().getChild("level").getValue());
end

function setLevel(level)
  nLevel = level;

  for _,v in ipairs(getWindows()) do
    if v.setLevel then 
      v.setLevel(level)
    end
  end
end

function getLevel()
  return nLevel;
end